@Echo off

Echo Be sure the TRIX GUI is not running when executing this script.
Echo ---
pause

if empty%1 == empty goto NOREPOSITORY

goto NOERRORS

REM :NOCLASSPATH
REM echo ERROR: Enter the path to the CPQDeleteClasses file and the Repository name.
REM echo Example - CPQCLASSES C:\cpqtnd\cpqwv\CLASSES TNG_REPOSITORY_MACHINE
REM goto end

:NOREPOSITORY
echo ERROR: Enter the Repository name.
echo Example - CPQDELETE TNG_REPOSITORY_MACHINE
goto end

REM :NOFILES
REM echo ERROR: Class definition files not present in the specified path.
REM goto end

:NOERRORS
Echo Removing the Compaq Class definitions
Echo ---
call trix /TYPE=IMPORT /FILE=CPQDeleteClass.TNG /R=%1
Echo Removing the HP Class definitions
Echo ---
call trix /TYPE=IMPORT /FILE=HPQDeleteClass.TNG /R=%1
Echo Classes removed from the Common Object Repository
Echo ---

:end
